# vim:tw=0:ts=4:sw=4:et

%define major 2
%define minor 0
%define sub 10
%define extralevel %{nil}
%define release_name firmware-tools
%define release_version %{major}.%{minor}.%{sub}%{extralevel}
%define rpm_release 1

# per fedora python packaging guidelines
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           firmware-tools 
Version:        %{release_version} 
Release:        %{rpm_release}%{?dist}
Summary:        Scripts and tools to manage firmware and BIOS updates

Group:          Applications/System
# License is actually GPL/OSL dual license (GPL Compatible), but rpmlint complains
License:        GPLv2+ or OSL
URL:            http://linux.dell.com/libsmbios/download/ 
Source0:        http://linux.dell.com/libsmbios/download/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel, rpm-python
Requires: rpm-python
Provides: firmware_inventory(pci) = 0:%{release_version}

%description
The firmware-tools project provides tools to inventory hardware and a plugin
architecture so that different OEM vendors can provide different inventory
components. It is intended to tie to the package system to enable seamless
installation of updated firmware via your package manager, as well as provide
a framework for BIOS and firmware updates.


%prep
%setup -q


%build
%configure
make -e %{?_smp_mflags} 

%check
make -e %{?_smp_mflags} check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/firmware/firmware.d/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/firmware

# backwards compatibility symlinks
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
ln -s firmwaretool $RPM_BUILD_ROOT/%{_sbindir}/inventory_firmware
ln -s firmwaretool $RPM_BUILD_ROOT/%{_sbindir}/bootstrap_firmware
ln -s firmwaretool $RPM_BUILD_ROOT/%{_sbindir}/update_firmware
ln -s %{_sbindir}/firmwaretool $RPM_BUILD_ROOT/%{_bindir}/update_firmware

%if "%{enable_yum_plugins}" != "1"
rm -rf $RPM_BUILD_ROOT/usr/lib/yum-plugins
rm -rf $RPM_BUILD_ROOT/etc/yum/pluginconf.d
%endif

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING-GPL COPYING-OSL COPYING.LIB README
%{python_sitelib}/*
%attr(0755,root,root) %{_sbindir}/*
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/firmware-tools/
%dir %{_sysconfdir}/firmware
%dir %{_sysconfdir}/firmware/firmware.d
%config(noreplace) %{_sysconfdir}/firmware/firmware.conf
%{_datadir}/firmware/

%if "%{enable_yum_plugins}" == "1"
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/*
%{_exec_prefix}/lib/yum-plugins/*
%endif


%changelog
* Thu Aug 23 2007 Michael E Brown <michael_e_brown at dell.com> - 1.5.6-1
- rebase to upstream release

* Fri Aug 17 2007 Michael E Brown <michael_e_brown at dell.com> - 1.5.5-1
- rebase to upstream release

* Fri Aug 17 2007 Michael E Brown <michael_e_brown at dell.com> - 1.4.2-1
- rebase to upstream release

* Tue May 1 2007 Michael E Brown <michael_e_brown at dell.com> - 1.2.6-1
- disable empty debuginfo package

* Tue Mar 20 2007 Michael E Brown <michael_e_brown at dell.com> - 1.2.5-1
- Remove python-abi dep for RHEL3 (it was broken)

* Fri Mar 16 2007 Michael E Brown <michael_e_brown at dell.com> - 1.2.4-1
- fix typo in sitelib path -- only for RHEL3 build

* Wed Mar 14 2007 Michael E Brown <michael_e_brown at dell.com> - 1.2.3-1
- create and own {_sysconfdir}/firmware/firmware.d/ for plugins.
- Fedora review changes

* Mon Mar 12 2007 Michael E Brown <michael_e_brown at dell.com> - 1.2.0-1
- Fedora-compliant packaging changes.
